MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
CommandResult.hxx File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations
enum | CommandResult { CommandResult::OK, CommandResult::IDLE, CommandResult::ERROR, CommandResult::FINISH, CommandResult::CLOSE, CommandResult::KILL }

## Enumeration Type Documentation

enum CommandResult
| strong

Enumerator
OK | The command has succeeded, but the "OK" response was not yet sent to the client.
IDLE | The connection is now in "idle" mode, and no response shall be generated.
ERROR | There was an error. The "ACK" response was sent to the client.
FINISH | The client has asked MPD to close the connection. MPD will flush the remaining output buffer first.
CLOSE | The connection to this client shall be closed.
KILL | The MPD process shall be shut down.

Definition at line 31 of file CommandResult.hxx.